using APT.Infrastructure.Core;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("节假日方案表")]
   [IgnoreT4]public class T_FM_HOLIDAY : MesEntityBase
    {
        [Description("方案编码")]
        [CUnique]
        public string CODE { get; set; }

        [Description("方案名称")]
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }
        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }

        [Description("星期一")]
        public bool MON { get; set; }

        [Description("星期二")]
        public bool TUES { get; set; }

        [Description("星期三")]
        public bool WED { get; set; }

        [Description("星期四")]
        public bool THUR { get; set; }

        [Description("星期五")]
        public bool FRI { get; set; }

        [Description("星期六")]
        public bool SAT { get; set; }

        [Description("星期日")]
        public bool SUN { get; set; }


        [Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }

        [Description("备注")]
        public string REMARK { get; set; }

        [Description("导航属性：日历班次表")]
        public virtual ICollection<T_FM_HOLIDAY_DETAIL> Nav_HolidayDetails { get; set; }
    }
}
